function mix = labelswitch1(mix1, mix0)
% utilize the problem of label-switch in mixtures

label = perms(1:mix1.order)';
Kall = factorial(mix1.order); 
dismix = zeros(Kall,1);
%para0 = [mix0.pi; mix0.mu; mix0.sig; mix0.lam];
para0 = mix0.mu;
for i=1:Kall
   tlab = label(:,i);
   %para1 = [mix1.pi(tlab); mix1.mu(tlab); mix1.sig(tlab); mix1.lam(tlab)];
   para1 = mix1.mu(tlab);
   dismix(i) = sum(abs(para1-para0));
end

[a b] = min(dismix);
lmin = label(:,b);
mix.order = mix1.order;
mix.pi = mix1.pi(lmin);
mix.mu = mix1.mu(lmin);
mix.sig = mix1.sig(lmin);
mix.lam = mix1.lam(lmin);

