clc
clear

% true parameters
mix0.order = 2;
mix0.mu = [0 1]';
mix0.sig = [1 2]'; %variance
mix0.lam = [2 1]';
mix0.pi = [0.5 0.5]';
para0 = [mix0.mu' mix0.sig' mix0.lam' mix0.pi'];
niter = 5000;
Nsamp = [100 200];

for j=1:3
datamat1 = zeros(niter, Nsamp(1));
datamat2 = zeros(niter, Nsamp(2));
for i = 1:niter
    datamat1(i,:) = randsnm(Nsamp(1), mix0);
    datamat2(i,:) = randsnm(Nsamp(2), mix0);
end

save(strcat('data1', num2str(j)));
end

