function res = plotmix(data, mix, property)
% plot mixing density

x = min(data)-1:0.1:max(data)+1;

mix1.order = 1;
mix1.mu = mix.mu(1);
mix1.sig = mix.sig(1);
mix1.lam = mix.lam(1);
mix1.pi = 1;

mix2.order = 1;
mix2.mu = mix.mu(2);
mix2.sig = mix.sig(2);
mix2.lam = mix.lam(2);
mix2.pi = 1;

p1 = mix.pi(1).*snmpdf(x,mix1);
p2 = mix.pi(2).*snmpdf(x,mix2);

plot(x, p1, property);
hold on
plot(x, p2, property);
drawnow;