function res = snmcdf(data, mix)
% compute the cdf of snm with paramters in mix
%

myfun = @(t)2*mix.pi(1)/sqrt(mix.sig(1))*normpdf((t-mix.mu(1))/sqrt(mix.sig(1)))...
    .*normcdf(mix.lam(1)*(t-mix.mu(1))/sqrt(mix.sig(1)))+...
2*mix.pi(2)/sqrt(mix.sig(2)).*normpdf((t-mix.mu(2))/sqrt(mix.sig(2)))...
    .*normcdf(mix.lam(2)*(t-mix.mu(2))/sqrt(mix.sig(2)));

res = zeros(1,length(data));
low = min(data)-100;
for i=1:length(data)
    res(i) = integral(myfun,low,data(i));
end

% banana = @(x,a,b,c) normpdf((x-a)/sqrt(b))*normcdf(c*(x-a)/sqrt(b));
% res = arrayfun(@(a,b,c) integral(@(x) banana(x,a,b,c),-10,0),paratemp{lb}.mu,paratemp{lb}.sig,paratemp{lb}.lam);
% 


