function res = randgmm(Nsamp, mix)
% random sample of normal mixtures
% res is 1*n vector

res = zeros(1,Nsamp);
sumn = 0;

for n=1:mix.order
    
    if n<mix.order
        Nt = round(Nsamp.*mix.pi(n));
    else
       Nt = Nsamp - sumn; 
    end
    
    res(sumn+1:sumn+Nt) = mix.mu(n) + sqrt(mix.sig(n)).*randn(1,Nt);
    sumn = sumn + Nt;
end
